#!/bin/bash

ME=$(basename $0)

if [ -z "$1" ]; then
    echo "You must specify guest name"
    exit 1
fi

function mac_gen() {
    # Usage: mac_gen GUEST_NAME [NUM]
    newmac=$(/usr/local/bin/qemumacgen.py)

    echo $newmac > /var/tmp/${ME}-${1}-mac${2}.txt
    echo "Guest MAC is $newmac. Reminder has been written to"
    echo "/var/tmp/${ME}-${1}-mac${2}.txt"
    eval "newmac$2=\$newmac"
}

echo "$ME started.."
